Index: libtransmission/announcer.c
===================================================================
--- libtransmission/announcer.c	(revision 14188)
+++ libtransmission/announcer.c	(working copy)
@@ -407,7 +407,7 @@
     tr_tracker * trackers;
     int tracker_count;
 
-    tr_tracker_callback * callback;
+    tr_tracker_callback callback;
     void * callbackData;
 }
 tr_torrent_tiers;
@@ -481,7 +481,7 @@
         if (tier->currentTracker)
             event.tracker = tier->currentTracker->announce;
 
-        tiers->callback (tier->tor, &event, tiers->callbackData);
+        (*tiers->callback) (tier->tor, &event, tiers->callbackData);
     }
 }
 
@@ -533,7 +533,7 @@
         e.pexCount = n;
         dbgmsg (tier, "got %d peers; seed prob %d", n, (int)e.seedProbability);
 
-        tier->tor->tiers->callback (tier->tor, &e, NULL);
+        (*tier->tor->tiers->callback) (tier->tor, &e, NULL);
     }
 }
 
@@ -691,7 +691,7 @@
 
 tr_torrent_tiers *
 tr_announcerAddTorrent (tr_torrent           * tor,
-                        tr_tracker_callback  * callback,
+                        tr_tracker_callback    callback,
                         void                 * callbackData)
 {
     tr_torrent_tiers * tiers;
@@ -1200,7 +1200,7 @@
 static void
 announce_request_delegate (tr_announcer               * announcer,
                            tr_announce_request        * request,
-                           tr_announce_response_func  * callback,
+                           tr_announce_response_func    callback,
                            void                       * callback_data)
 {
     tr_session * session = announcer->session;
@@ -1397,7 +1397,7 @@
 static void
 scrape_request_delegate (tr_announcer             * announcer,
                          const tr_scrape_request  * request,
-                         tr_scrape_response_func  * callback,
+                         tr_scrape_response_func    callback,
                          void                     * callback_data)
 {
     tr_session * session = announcer->session;
Index: libtransmission/peer-msgs.c
===================================================================
--- libtransmission/peer-msgs.c	(revision 14188)
+++ libtransmission/peer-msgs.c	(working copy)
@@ -223,7 +223,7 @@
 
   tr_torrent *           torrent;
 
-  tr_peer_callback      * callback;
+  tr_peer_callback        callback;
   void                  * callbackData;
 
   struct evbuffer *      outMessages; /* all the non-piece messages */
@@ -479,7 +479,7 @@
 publish (tr_peerMsgs * msgs, tr_peer_event * e)
 {
   if (msgs->callback != NULL)
-    msgs->callback (&msgs->peer, e, msgs->callbackData);
+    (*msgs->callback) (&msgs->peer, e, msgs->callbackData);
 }
 
 static void
@@ -2605,7 +2605,7 @@
 tr_peerMsgs *
 tr_peerMsgsNew (struct tr_torrent    * torrent,
                 struct tr_peerIo     * io,
-                tr_peer_callback     * callback,
+                tr_peer_callback       callback,
                 void                 * callbackData)
 {
   tr_peerMsgs * m;
